Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class ColumnPixelData

    java.lang.Object
      org.eclipse.jface.viewers.ColumnLayoutData
          org.eclipse.jface.viewers.ColumnPixelData

public class ColumnPixelData
extends ColumnLayoutData

Describes the width of a table column in pixels, and whether the column is resizable.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`int` | `width` The column's width in pixels.

Fields inherited from class org.eclipse.jface.viewers.ColumnLayoutData
`resizable`

Constructor Summary
`ColumnPixelData(int widthInPixels)` Creates a resizable column width of the given number of pixels.
`ColumnPixelData(int widthInPixels, boolean resizable)` Creates a column width of the given number of pixels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    public int width

  The column's width in pixels.

Constructor Detail

### ColumnPixelData

    public ColumnPixelData(int widthInPixels)

  Creates a resizable column width of the given number of pixels.

Parameters:
  `widthInPixels` - the width of column in pixels

### ColumnPixelData

    public ColumnPixelData(int widthInPixels,
                           boolean resizable)

  Creates a column width of the given number of pixels.

Parameters:
  `widthInPixels` - the width of column in pixels
  `resizable` - `true` if the column is resizable, and `false` if size of the column is fixed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.